Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006884 [DCSS] Bug Report minor random 2013-04-06 19:45 2013-05-27 20:02
Reporter NekoRex View Status public  
Assigned To mumra
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0006884: Dragon corpses can generate curse-branded hides
Description I butchered a (fire) dragon for some chunks and noticed it made a runed dragon hide. I tried the hide on and it was cursed. Dragon hides being generated magical seems abnormal.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0022166)
dolorous (updater)
2013-04-06 20:42

Should be fixed; thanks.
(0022349)
MarvinPA (developer)
2013-04-19 20:06
edited on: 2013-04-19 20:07

Appears to still occur in trunk, someone playing on CSZO (0.13-a0-400-g9358656) just found a randomly generated cursed pearl dragon hide.

(0022356)
dolorous (updater)
2013-04-20 00:37

Did the cursed hide have a negative enchantment, or was it +0?
(0022357)
dolorous (updater)
2013-04-20 00:49

Okay, I think I fixed this in trunk. The previous fix covers hides made from butchering corpses, and the fix I just added covers hides randomly generated on the floor. Unless there's a vault generating cursed hides somewhere...
(0022896)
mumra (developer)
2013-05-27 20:02

Closing as dolorous resolved this

- Issue History
Date Modified Username Field Change
2013-04-06 19:45 NekoRex New Issue
2013-04-06 20:42 dolorous Note Added: 0022166
2013-04-06 20:43 dolorous Status new => resolved
2013-04-06 20:43 dolorous Fixed in Branch => 0.13 development branch
2013-04-06 20:43 dolorous Resolution open => done
2013-04-06 20:43 dolorous Assigned To => dolorous
2013-04-19 20:06 MarvinPA Assigned To dolorous =>
2013-04-19 20:06 MarvinPA Note Added: 0022349
2013-04-19 20:06 MarvinPA Status resolved => new
2013-04-19 20:06 MarvinPA Resolution done => reopened
2013-04-19 20:07 MarvinPA Note Edited: 0022349
2013-04-20 00:37 dolorous Note Added: 0022356
2013-04-20 00:49 dolorous Note Added: 0022357
2013-05-27 20:02 mumra Note Added: 0022896
2013-05-27 20:02 mumra Status new => resolved
2013-05-27 20:02 mumra Resolution reopened => done
2013-05-27 20:02 mumra Assigned To => mumra


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker